# To use the mattr functions, ActiveSupport dependencies are required.
require "active_support/dependencies"

module ServiceCatalogue

  # The parent controller all engine controllers inherits from.
  # Defaults to ApplicationController. This should be set early
  # in the initialisation process and should be set to a string.
  mattr_accessor :parent_controller
  self.parent_controller = "ApplicationController"

  # Our host application root path
  # We set this when the engine is initialised
  # mattr_accessor :app_root
  # @@app_root = 'xyz'


  # Default way to setup the engine.
  #
  # Run 'rails generate service_catalogue_install' to create a fresh initialiser with all
  # configuration values.
  def self.setup
    yield self
  end

  def railtie_name
    ::ServiceCatalogue::Engine.railtie_name
  end

  def mounted_path
    ::ServiceCatalogue::Engine.mounted_path
  end

  def root_path
    ::ServiceCatalogue::Engine.root
  end
end

# Require our engine
require "service_catalogue/version"
require "service_catalogue/engine"
