# Encoding: UTF-8
$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "service_catalogue/version"

# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = "service_catalogue"
  s.version     = ServiceCatalogue::VERSION::STRING.dup
  s.authors     = ["Everard Brown"]
  s.email       = ["Everard.Brown@htcl.eu"]
  s.homepage    = "http://htcl.eu"
  s.summary     = "ServiceCatalogue engine (v#{s.version})"
  s.description = "Product management"
  s.license     = "MIT"

  s.files = Dir["{app,config,db,lib}/**/*"] + ["#{s.name}.gemspec", "Rakefile", "MIT-LICENSE", "README.rdoc"]
  #s.test_files = Dir["{test,spec,features}/**/*"]
  s.require_paths = ["lib"]

  s.rdoc_options = ["--line-numbers", "--inline-source", "--title", "service_catalogue", "--main", "README.rdoc"]
  s.extra_rdoc_files = ["CHANGELOG", "README.rdoc", "lib/tasks/service_catalogue_tasks.rake", "lib/service_catalogue.rb"]

  s.add_dependency 'rails', '>= 5.0'
  s.add_dependency 'jquery-rails'
  s.add_dependency 'jquery-ui-rails'
  s.add_dependency 'will_paginate'

  # In-house gems
  # (during development, the dependency in Gemfile will be used)
  require File.join(File.dirname(__FILE__), 'config', 'in_house_gems')
  in_house_engines = SERVICE_CATALOGUE_IN_HOUSE_ENGINES
  in_house_engines.each { |in_house_engine| s.add_dependency "#{in_house_engine.to_s}" }

end
